<?php
/* Copyright 2008-2009 Vincent Prat */


/**
* View to configure the plugin
* 
* @author Vincent Prat
*/
class UMPR_AboutPage {

    /**
    * Constructor
    */
    function UMPR_AboutPage() {
    }
	
    /**
    * Show the view
    */
    function show_view() {
?>

<div class="wrap">
    <h2><?php echo __("About Password Reset for User Messages", "umpr"); ?></h2>

<?php
	// Show the plugin news
	//--
			
	// get feed_messages
	require_once(ABSPATH . WPINC . '/rss.php');
	
    $rss = @fetch_rss('http://www.marvinlabs.com/topics/um-password-reset/feed/');
?>
	<div id="poststuff" class="metabox-holder has-right-sidebar">
		<div id="side-info-column" class="inner-sidebar">
			<div id="side-sortables" class="meta-box-sortables ui-sortable" style="position: relative;">
				<div class="postbox rss-widget">
					<h3 class="hndle"><?php _e('Latest News',POST_TEMPLATES_I18N_DOMAIN); ?></h3>
					<div class="inside">
						<?php
						if ( isset($rss->items) && 0 != count($rss->items) ) {
							$rss->items = array_slice($rss->items, 0, 3);
							echo "<ul>";
							foreach ($rss->items as $item) {
						?>
							<li>
								<a class="rsswidget" title="" href='<?php echo wp_filter_kses($item['link']); ?>'><?php echo wp_specialchars($item['title']); ?></a>
								<span class="rss-date"><?php echo date("F jS, Y", strtotime($item['pubdate'])); ?></span> 
								<div class="rssSummary"><strong><?php echo human_time_diff(strtotime($item['pubdate'], time())); ?></strong> - <?php echo $item['description']; ?></div>
							</li>
						<?php
							}
							echo "</ul>";
						} else {
						?>
						<p><?php printf(__('News RSS could not be loaded. Please check the <a href="%s">front page</a> to check for updates.', POST_TEMPLATES_I18N_DOMAIN), 'http://www.marvinlabs.com/topics/um-password-reset/') ?></p>
						<?php
						}
						?>
					</div>
				</div>
			</div>
		</div>					
	</div>
				
				<p><?php 
					_e("Password Reset for User Messages is a free plugin to allow resetting the password of several users at once in a WordPress website. ", "umpr"); 
					_e("This plugin requires a commercial version of the User Messages plugin to work properly. ", "umpr"); 
				?><a href="http://user-messages.marvinlabs.com"><?php _e('User Messages Home','umpr'); ?></a></p>
<?php 				
    }
}
  